RunReveal

LintSigma validates that a Sigma rule parses correctly.

LintSigma validates that a Sigma rule parses correctly.

POST
/lint/sigma

Request Body

application/jsonRequired

rulestring

curl -X POST "https://api.runreveal.com/lint/sigma" \
  -H "Content-Type: application/json" \
  -d '{
    "rule": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "error": "string",
    "valid": true
  },
  "success": true
}

LintSql operation

POST
/lint/sql

Request Body

application/jsonRequired

querystring

curl -X POST "https://api.runreveal.com/lint/sql" \
  -H "Content-Type: application/json" \
  -d '{
    "query": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "error": "string",
    "valid": true
  },
  "success": true
}